Public IP Addresses
- POST /network/public-ip-addresses
Associate a public IP address
Acquire and associate a public IP address to an account, network, or VPC
- Request JSON Object:
account (string)
domainid (string)
fordisplay (boolean)
ipaddress (string) – IPAddress requests a specific IP from the pool (e.g., one we just reserved in atlas/NetBox). Empty = CS picks next available.
isportable (boolean)
networkid (string)
projectid (string)
regionid (integer)
vpcid (string)
zoneid (string)
- Status Codes:
201 Created – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/public-ip-addresses/list
List public IP addresses
Get a list of public IP addresses with optional filters
- Request JSON Object:
account (string)
allocatedonly (boolean)
associatednetworkid (string)
domainid (string)
fordisplay (boolean)
forloadbalancing (boolean)
forvirtualnetwork (boolean)
id (string)
ipaddress (string)
isrecursive (boolean)
issourcenat (boolean)
isstaticnat (boolean)
keyword (string)
listall (boolean)
page (integer)
page_size (integer)
physicalnetworkid (string)
projectid (string)
state (string)
tags (object)
vlanid (string)
vpcid (string)
zoneid (string)
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/public-ip-addresses/static-nat/disable
Disable static NAT
Disable 1:1 static NAT mapping for a public IP address
- Request JSON Object:
ipaddressid (string) – (required)
public_ip (string) – PublicIP is the routable public IP address in dotted-decimal notation (e.g. “203.0.113.10”). Required for NetBox sync.
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/public-ip-addresses/static-nat/enable
Enable static NAT
Enable 1:1 static NAT mapping between a public IP and a VM guest IP
- Request JSON Object:
ipaddressid (string) – (required)
networkid (string)
public_ip (string) – PublicIP is the routable public IP address in dotted-decimal notation (e.g. “203.0.113.10”). Required for NetBox sync; if omitted, static NAT is still enabled in CloudStack but the IP record in NetBox will not be updated.
virtualmachineid (string) – (required)
vmguestip (string)
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- DELETE /network/public-ip-addresses/{id}
Disassociate a public IP address
Release a public IP address back to the pool
- Parameters:
id (string) – Public IP address ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/public-ips/list
List public IP addresses
List public IP addresses with optional filters
- Status Codes:
200 OK – List of public IP addresses
400 Bad Request – Invalid request payload
500 Internal Server Error – Failed to list public IP addresses
- Response JSON Object:
public_ips (any)